## com.vividsolutions.jts.geom.prep
Class PreparedPoint

    java.lang.Object
      com.vividsolutions.jts.geom.prep.BasicPreparedGeometry
          com.vividsolutions.jts.geom.prep.PreparedPoint

All Implemented Interfaces:
  PreparedGeometry

public class PreparedPoint
extends BasicPreparedGeometry

A prepared version for `Puntal` geometries.

Author:
  Martin Davis

Constructor Summary
`PreparedPoint(Puntal point)`

Method Summary
`boolean` `intersects(Geometry g)` Tests whether this point intersects a `Geometry`.

Methods inherited from class com.vividsolutions.jts.geom.prep.BasicPreparedGeometry
`contains, containsProperly, coveredBy, covers, crosses, disjoint, envelopeCovers, envelopesIntersect, getGeometry, getRepresentativePoints, isAnyTargetComponentInTest, overlaps, toString, touches, within`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreparedPoint

    public PreparedPoint(Puntal point)

Method Detail

### intersects

    public boolean intersects(Geometry g)

  Tests whether this point intersects a `Geometry`.

  The optimization here is that computing topology for the test geometry is avoided. This can be significant for large geometries.

  Specified by:
    `intersects` in interface `PreparedGeometry`
  Overrides:
    `intersects` in class `BasicPreparedGeometry`